package excel

import (
	"time"
)

// ExcelClassify excel表格分类
type ExcelClassify struct {
	ExcelClassifyId   int       `gorm:"primaryKey;autoIncrement;column:excel_classify_id" description:"表格分类ID"`
	Source            int       `gorm:"column:source" description:"表格来源，1：excel插件的表格，2：自定义表格，3：混合表格，4：自定义分析，默认：1"`
	ExcelClassifyName string    `gorm:"column:excel_classify_name" description:"分类名称"`
	ParentId          int       `gorm:"column:parent_id" description:"父级id"`
	SysUserId         int       `gorm:"column:sys_user_id" description:"创建人id"`
	SysUserRealName   string    `gorm:"column:sys_user_real_name" description:"创建人姓名"`
	Level             int       `gorm:"column:level" description:"层级"`
	UniqueCode        string    `gorm:"column:unique_code" description:"唯一编码"`
	Sort              int       `gorm:"column:sort" description:"排序字段，越小越靠前，默认值：10"`
	IsDelete          int       `gorm:"column:is_delete" description:"是否删除，0：未删除，1：已删除（注意：这里的描述可能与原字段名IsDelete的注释不完全一致，已根据常见用法调整）"`
	CreateTime        time.Time `gorm:"column:create_time" description:"创建时间"`
	ModifyTime        time.Time `gorm:"column:modify_time" description:"修改时间"`
}
